%define		php_name	php%{?php_suffix}
%define		subver	alpha
%define		rel		5
%define		modname	funcall
%define		status	stable
Summary:	%{modname} - Add callbacks for any function/method
Summary(pl.UTF-8):	%{modname} - odwołania dla dowolnej funkcji / metody
Name:		%{php_name}-pecl-%{modname}
Version:	0.3.0
Release:	0.%{subver}.%{rel}
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}%{subver}.tgz
# Source0-md5:	65ddff0346ed4ed4fb0e3734ccf1b7d2
URL:		http://pecl.php.net/package/funcall/
BuildRequires:	%{php_name}-devel >= 4:5.0.4
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-funcall < 0.3.0-0.alpha.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Call callbacks before or after specified functions/methods being
called.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rozszerzenie to pozwala na wykonywanie odwołań przed lub po wywołaniu
określonej funkcji / metody.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}%{?subver}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc TODO funcall.php
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sat May 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-funcall.git;a=log;h=master

* Sat May 17 2014 Elan Ruusamäe <glen@delfi.ee> 6fe050a
- really fix obsoletes vesion

* Sat May 17 2014 Elan Ruusamäe <glen@delfi.ee> 4088f24
- fix obsoletes version
- release 4 (by relup.sh)

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> e2b2079
- obsolete old php name
- release 3 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 176ff57
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 76beadc
- support building for multiple php versions

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 71f632f
- up to 0.3.0alpha

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> fba3151
- up to 0.3.0alpha

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 7984b1d
- release 5 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ca6572
- release 4

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> 7665b15
- manually create branch diff; builds with php53

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> 74a5a91
- unify

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 48b8c59
- release 2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 1ff691c
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 4c590d4
- updated to 0.2.5

* Sat Oct 18 2008 Adam Gołębiowski <adamg@pld-linux.org> 2bcf0cf
- updated to 0.2.3

* Fri Sep 12 2008 Adam Gołębiowski <adamg@pld-linux.org> 08b18a1
- new

